From cb62a664a0bb4f62ff5061f9d1c53a12f3d3d476 Mon Sep 17 00:00:00 2001
From: JustinTrouble <github.com@justintrouble.co.uk>
Date: Mon, 30 Nov 2015 13:55:45 +0000
Subject: [PATCH] Fixed bug in obtainLock(), where it always fails to verify
 the lock. This fixes #1019, fixes #1311

---
 bin/dwpage.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/dwpage.php b/bin/dwpage.php
index d7f6e9b..1c1a1c1 100755
--- a/bin/dwpage.php
+++ b/bin/dwpage.php
@@ -248,7 +248,7 @@ protected function obtainLock($wiki_id) {
 
         lock($wiki_id);
 
-        if(checklock($wiki_id) != $this->username) {
+        if(checklock($wiki_id)) {
             $this->error("Unable to obtain lock for $wiki_id ");
             var_dump(checklock($wiki_id));
             exit(1);
